Bug 65642 - RTF import: page number are incorrect
Summary: RTF import: page number are incorrect
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2013-06-11 08:55 UTC by luca m.
Modified: 2017-04-30 02:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample rtf file with the bug (39.80 KB, application/rtf)
2013-06-11 08:55 UTC, luca m.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description luca m. 2013-06-11 08:55:50 UTC
Created attachment 80667 [details]
Sample rtf file with the bug

See the attached RTF document and test it with Word Viewer.

There are two bugs in LibreOffice 4.0.3 and 4.1.0 beta 2:

 - In first three pages, the page numbers in header are doubled;
 - The last two pages, the page numbers should be "A" and "B" and not 4 and 5 (ignoring the new page numbering format).
Comment 1 Jorendc 2013-06-25 23:16:17 UTC
I can confirm this using Mac OSX 10.8.3 with LibreOffice 4.1.0.1 RC.

Kind regards,
Joren
Comment 2 Alexandr 2014-08-07 18:53:35 UTC
I open the test document in LibreOffice 4.2.5 and 4.3.1.1 on Debian. I reproduce the second issue (the last 2 pages have numbers, not letters), but I can not reproduce the first issue (page numbers are not doubled).
Comment 3 QA Administrators 2015-09-04 02:49:03 UTC Comment hidden (obsolete)
Comment 4 luca m. 2015-09-04 05:55:09 UTC
The bug is still present in LibreOffice 5.0.1.2, but now only the second problem in the first post:

 - The last two pages, the page numbers should be "A" and "B" and not 4 and 5 (ignoring the new page numbering format).
Comment 5 luca m. 2015-09-04 06:42:51 UTC
Tested with LibreOffice 3.3, too: this bug is inherited from OOo.
Comment 6 Robinson Tryon (qubit) 2015-12-10 01:08:16 UTC Comment hidden (obsolete)
Comment 7 Commit Notification 2016-03-22 07:11:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abaf6bde4ee91c628bd55a7ec2e876a5d0ecff6e

tdf#65642 RTF filter: import \pgnrestart and \pgnucltr

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-30 07:07:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1250ad9561e8f7d3227bb97b9e1f7b2968b5c900

Related: tdf#65642 RTF export: \pgnucltr testcase

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-03-30 07:07:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43a17602fb894c10931581b20deec4a47889f310

Related: tdf#65642 RTF filter: import \pgnlcltr

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-04-07 09:38:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8aa9fac23bc8f29de5e91293352f96c99418ddfc&h=libreoffice-5-1

tdf#65642 RTF filter: import \pgnrestart and \pgnucltr

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-04-11 10:28:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03b3c54039c7459922919af2c227583769677490&h=libreoffice-5-0

tdf#65642 RTF filter: import \pgnrestart and \pgnucltr

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-04-14 07:30:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=235dcc11e7e5291188e134f37a03849d741c4f6e

Related: tdf#65642 RTF filter: import \pgnucrm

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-04-21 07:43:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91b18cee97b110fe60391faa945a6fd166f1d8aa

Related: tdf#65642 RTF filter: import \pgnlcrm

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-04-28 07:47:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b94d753ac9e3894da055d31bbb7bb20e11b97b5a

Related: tdf#65642 RTF filter: import \pgndec

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 krishna [:kr1shna] 2017-03-20 09:20:43 UTC
verified.
Version: 5.4.0.0.alpha0+ / Build ID: febc116 / ls-4001 / android 5.1

In first three pages, the page numbers in header are not doubled; The last two pages, the page numbers are "A" and "B".